> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get notifications



## OpenAPI

````yaml /openapi.json get /notifications
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /notifications:
    get:
      tags:
        - notifications
      operationId: NotificationController_listNotifications
      parameters:
        - name: count
          required: false
          in: query
          description: the number of items to return
          schema:
            default: 10
            type: number
        - name: page
          required: false
          in: query
          description: the page to retrieve
          schema:
            default: 1
            type: number
        - name: externalId
          required: false
          in: query
          schema:
            type: string
        - name: before
          required: false
          in: query
          schema:
            format: date-time
            type: string
        - name: after
          required: false
          in: query
          schema:
            format: date-time
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListNotificationsOutput'
components:
  schemas:
    ListNotificationsOutput:
      type: object
      properties:
        data:
          description: the list of items in the page
          type: array
          items:
            $ref: '#/components/schemas/NotificationDto'
        pageInfo:
          description: the page info
          allOf:
            - $ref: '#/components/schemas/ResponsePageInfo'
        totalCount:
          type: number
          description: the total number of items
        currentPage:
          type: number
          description: the current page
        totalPages:
          type: number
          description: the total number of pages
      required:
        - data
        - pageInfo
        - totalCount
        - currentPage
        - totalPages
    NotificationDto:
      type: object
      properties:
        tenantId:
          type: string
        id:
          type: string
        type:
          type: string
          enum:
            - EMAIL
            - LRE
            - ERE
        externalId:
          type: string
        status:
          type: string
          enum:
            - SENT
            - OPENED
            - REJECTED
            - NEGLECTED
        reason:
          type: string
        provider:
          type: string
          enum:
            - AR24
            - CUSTOMER_IO
        metadata:
          type: object
        createdAt:
          format: date-time
          type: string
        updatedAt:
          format: date-time
          type: string
      required:
        - tenantId
        - id
        - type
        - status
        - provider
        - createdAt
    ResponsePageInfo:
      type: object
      properties:
        first:
          type: boolean
          description: whether this is the first page
        last:
          type: boolean
          description: whether this is the last page

````